ColorGradingEditorSettingsFrame = {}

local ColorGradingEditorSettingsFrame_mt = Class(ColorGradingEditorSettingsFrame, TabbedMenuFrameElement)

function ColorGradingEditorSettingsFrame.new(target, subclass_mt)
	local self = ColorGradingEditorSettingsFrame:superClass().new(target, subclass_mt or ColorGradingEditorSettingsFrame_mt)

	return self
end

function ColorGradingEditorSettingsFrame:initialize(delegate)
	self.delegate = delegate
end

function ColorGradingEditorSettingsFrame:onClickPresetChange(state, element, isLeftButtonEvent)
	self.delegate:onClickPresetChange(state, element, isLeftButtonEvent)
end

function ColorGradingEditorSettingsFrame:onClickShowHelp(state)
	self.delegate:onClickShowHelp(state)
end

function ColorGradingEditorSettingsFrame:onClickBgChange(state, element, isLeftButtonEvent)
	self.delegate:onClickBgChange(state, element, isLeftButtonEvent)
end

function ColorGradingEditorSettingsFrame:onFrameOpen(element)
	ColorGradingEditorSettingsFrame:superClass().onFrameOpen(self)

	if not self.initFocus then
		self:setSoundSuppressed(true)
		FocusManager:setFocus(self.delegate.multiPreset)
		self:setSoundSuppressed(false)

		self.initFocus = true
	end
end